package com.yiboshi.science.service;

import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.base.Pagination;
import com.yiboshi.science.entity.ComProjectGroupDetail;
import com.yiboshi.science.param.dto.ComProjectGroupDetailDTO;
import com.yiboshi.science.param.query.ComProjectGroupDetailQueryVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ComProjectGroupDetailService extends BaseService<ComProjectGroupDetailQueryVO, ComProjectGroupDetailDTO, ComProjectGroupDetail>{
    ComProjectGroupDetailDTO getProjectGroupDetailByGP(String groupId, String projId);

    List<ComProjectGroupDetailDTO> getProjectDetailList(String groupId);

    List<ComProjectGroupDetailDTO> getProjectDetailList2(String groupId);

    Pagination<ComProjectGroupDetailDTO> getProjectDetailListbyPage(ComProjectGroupDetailQueryVO vo);

    List<ComProjectGroupDetailDTO> getProjectListByGroupIds(@Param("groupIds") List<String> groupList);
}
